Heimdal Kerberos 4 compatiblity functions(3)

NAME
Heimdal Kerberos 4 compatiblity functions -

  Functions
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb524_convert_creds_kdc (krb5_context context, krb5_creds *in_cred, struct credentials *v4creds)
KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb524_convert_creds_kdc_ccache (krb5_context context, krb5_ccache ccache, krb5_creds *in_cred, struct credentials *v4creds)

Detailed Description

Function Documentation

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb524_convert_creds_kdc (krb5_context context, krb5_creds * in_cred, struct credentials * v4creds)

Convert the v5 credentials in in_cred to v4-dito in v4creds. This is done by sending them to the 524 function in the KDC. If `in_cred' doesn't contain a DES session key, then a new one is gotten from the KDC and stored in the cred cache `ccache'.

Parameters:
    context Kerberos 5 context.
    in_cred the credential to convert
    v4creds the converted credential

Returns:
    Returns 0 to indicate success. Otherwise an kerberos et error code is returned, see krb5_get_error_message().

  KRB5_LIB_FUNCTION krb5_error_code KRB5_LIB_CALL krb524_convert_creds_kdc_ccache (krb5_context context, krb5_ccache ccache, krb5_creds * in_cred, struct credentials * v4creds)

Convert the v5 credentials in in_cred to v4-dito in v4creds, check the credential cache ccache before checking with the KDC.

Parameters:
    context Kerberos 5 context.
    ccache credential cache used to check for des-ticket.
    in_cred the credential to convert
    v4creds the converted credential

Returns:
    Returns 0 to indicate success. Otherwise an kerberos et error code is returned, see krb5_get_error_message().